package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

public class TBExeDayAndQuantityListDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String cropIds;

    private List<TBExeDayAndQuantityDTO> tbExeDayAndQuantityDTOList;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getCropIds() {
        return cropIds;
    }

    public void setCropIds(String cropIds) {
        this.cropIds = cropIds;
    }

    public List<TBExeDayAndQuantityDTO> getTbExeDayAndQuantityDTOList() {
        return tbExeDayAndQuantityDTOList;
    }

    public void setTbExeDayAndQuantityDTOList(List<TBExeDayAndQuantityDTO> tbExeDayAndQuantityDTOList) {
        this.tbExeDayAndQuantityDTOList = tbExeDayAndQuantityDTOList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBExeDayAndQuantityListDTO that = (TBExeDayAndQuantityListDTO) o;
        return Objects.equals(cropIds, that.cropIds) && Objects.equals(tbExeDayAndQuantityDTOList, that.tbExeDayAndQuantityDTOList);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cropIds, tbExeDayAndQuantityDTOList);
    }

    @Override
    public String toString() {
        return "TBExeDayAndQuantityListDTO{" +
            "cropIds='" + cropIds + '\'' +
            ", tbExeDayAndQuantityDTOList=" + tbExeDayAndQuantityDTOList +
            '}';
    }
}
